RAID API
  1. Dive Logs
  • DiveRAID frontend public API
    • Search divers
      POST
    • Search instructors
      POST
    • Search dive centers
      POST
    • Search dive centers by country
      GET
  • DiveRAID rest API V1
    • Auth
      • Register a new user
      • Login and receive JWT token
      • Send password reset email
      • Reset password using token
      • Logout and invalidate JWT token
      • Refresh JWT token
      • Verify email address (signed URL)
      • Resend email verification
    • Legacy Auth
      • Legacy login
      • Legacy register
      • Legacy logout
      • Legacy refresh token
      • Legacy reset password
    • Profile
      • Get authenticated user profile
      • Update profile
      • Delete account
      • Update password
      • Update dive center association
    • Diver
      • Courses
        • List active courses
        • List expired courses
        • Get course detail
        • Submit module quiz
        • Get quiz result
        • Submit course exam
        • Get exam result
        • Get skills progress
        • Sign skills (diver)
      • Free Learnings
        • List enrolled free learnings
        • List available free learning courses
        • Enroll in a free learning course
        • Get free learning detail
        • Submit free learning module quiz
        • Get free learning quiz result
      • Certifications
        • List diver certifications
        • Get certification history
        • Get certification quiz result
        • Get certification exam result
        • Get certification skills
      • Dive Logs
        • List dive logs (paginated)
          GET
        • Create dive log
          POST
        • Get dive log
          GET
        • Update dive log
          PATCH
      • Awards
        • List award cards
      • Documents
        • List diver documents
      • Forms
        • List diver forms
      • Medical
        • Get medical questionnaire structure
        • Submit medical questionnaire
      • Store
        • List courses available for purchase
        • Create Stripe payment intent for course
        • Confirm Stripe payment and activate course
        • Get order status
    • Professional
      • Students
        • List students
        • Get student progress
        • Get student quiz result
        • Get student exam result
        • Get student skills progress
        • Sign student skills
      • Certifications
        • List all professional certifications
        • List diver-level certifications
        • List specialty certifications
        • List professional certifications
        • List trainer certifications
        • List examiner certifications
        • Get certification history
        • Get certification quiz result
        • Get certification exam result
        • Get certification skills
      • Classroom
        • List classrooms
        • Get classroom progress (all students)
        • Get classroom student progress
        • Get classroom student quiz result
        • Get classroom student exam result
        • Get classroom student skills
        • Sign classroom student skills
      • Renewals
        • List renewal courses
        • Get renewal progress
        • Submit renewal module quiz
        • Get renewal quiz result
        • Submit renewal exam
        • Get renewal exam result
        • Get renewal skills progress
        • Sign renewal skills
      • Recognitions
        • List recognition courses
      • Dive Logs
        • List student dive logs for a course
        • Get student dive log
        • Sign student dive log
      • Store
        • Create payment intent for student course purchase
        • Confirm student course payment
    • Sync
      • Get sync status
      • Download full course data for offline use
      • Upload offline operations
    • Utility
      • List all countries
      • Get country data
      • Get country divisions (states/provinces)
      • List active dive centers
      • Get dive center details
    • Dive Center
      • Get Dive Center List
      • Get a Dive Center info
    • User
      • Certifications
        • Get User Certifications
        • Get User Certifications Diver
        • Get User Certifications Professional
        • Get Certification Card
      • Get User data
      • Update password
      • Update User Data
      • Update User Dive Center
    • Utilities
      • Get Country List
      • Get Country details
      • Get Country Divisions
  • Schemas
    • Frontend API Schema
      • DiverSearch
    • SuccessResponse
    • ErrorResponse
    • ValidationErrorResponse
    • TokenResponse
    • UserProfile
    • CourseLog
    • CourseLogDetail
    • QuizResult
    • ExamResult
    • SkillProgress
    • DiveLog
    • Certification
    • PaginatedDiveLogs
    • StoreItem
    • PaymentIntentResponse
    • OrderConfirmResponse
    • OrderStatusResponse
    • InstructorSearch
    • DiveCenterSearch
  1. Dive Logs

Update dive log

Develop Env
https://diveraid.test
Develop Env
https://diveraid.test
PATCH
https://diveraid.test
/api/v1/diver/dive-logs/{diveLog}
Diver/Dive Logs
Maintainer:Not configured

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Example
{
    "date": "2019-08-24",
    "location": "string",
    "max_depth": 0,
    "dive_time": 0,
    "comments": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://diveraid.test/api/v1/diver/dive-logs/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "date": "2019-08-24",
    "location": "string",
    "max_depth": 0,
    "dive_time": 0,
    "comments": "string"
}'

Responses

🟢200
application/json
Dive log updated
Bodyapplication/json

Example
{
    "status": "success",
    "message": "string",
    "data": {
        "id": 0,
        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
        "number": 0,
        "date": "2019-08-24",
        "dive_type": "string",
        "purpose_type": "string",
        "location": "string",
        "country": "string",
        "lat": 0,
        "lon": 0,
        "dive_config": "string",
        "gas": "string",
        "gas_mix": 0,
        "max_depth": 0,
        "average_depth": 0,
        "depth_unit": "string",
        "dive_time": 0,
        "abt": 0,
        "rnt": 0,
        "tbt": 0,
        "tts": 0,
        "pressure_start": 0,
        "pressure_end": 0,
        "pressure_unit": "string",
        "water_temperature": 0,
        "weather_temperature": 0,
        "temperature_unit": "string",
        "weather": "string",
        "water": "string",
        "current": "string",
        "visibility": "string",
        "weights": 0,
        "weights_unit": "string",
        "buddy": "string",
        "verified_by": "string",
        "wetsuit": "string",
        "sac_rate": 0,
        "safety_stop": true,
        "has_decompression": true,
        "decompression_note": "string",
        "mod": 0,
        "end": "2019-08-24T14:15:22.123Z",
        "group_in": "string",
        "group_out": "string",
        "comments": "string",
        "log_code": "string",
        "course_id": 0,
        "skill_log_id": 0,
        "skill_id": 0,
        "instructor_id": 0,
        "is_signed": true,
        "signed_at": "2019-08-24T14:15:22.123Z",
        "cylinder_count": 0,
        "bottom_cylinder_volume": 0,
        "dive_condition_notes": "string"
    }
}
🟠401
🟠403
🟠422
Modified at 2026-04-13 14:24:05
Previous
Get dive log
Next
List award cards
Built with